Summary:        Utility to capture video from a DV camera
Name:           dvgrab
Version:        3.4
Release:        3.1%{?dist}
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://www.kinodv.org/
Source:         http://dl.sf.net/kino/dvgrab-%{version}.tar.gz
Patch0:         dvgrab-3.3-fix-gcc-4.4-build.patch
Patch1:         dvgrab-3.4-set-proper-retval-on-failure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libraw1394-devel libavc1394-devel libdv-devel
BuildRequires:  libiec61883-devel libjpeg-devel
ExcludeArch:    s390 s390x

%description
The dvgrab utility will capture digital video from a DV source on the firewire
(IEEE-1394) bus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README COPYING ChangeLog NEWS
%{_bindir}/dvgrab
%{_mandir}/man1/dvgrab.1*


%changelog

